Subject: Re: bug#73182: CC Mode 5.35.2 (C++//l); 'enum' and 'enum class' appear to not get parsed correctly for indentation

From: Arsen Arsenović <[email-masked]>
Date: Wed, 25 Sep 2024 22:42:58 +0200

Hi Alan,

Alan Mackenzie <[email-masked]> writes:

> Hello, Arsen.
>
> On Mon, Sep 23, 2024 at 21:31:02 +0000, Alan Mackenzie wrote:
>> On Wed, Sep 18, 2024 at 18:59:45 +0200, Arsen Arsenović wrote:
>
> [ .... ]
>
>> I have implemented the above, with new sytactic symbols enum-open,
>> enum-close, enum-intro, and enum-entry.  I have also enhanced the manual
>> and the test suite accordingly.  The patch is currently ~1250 lines long.
>
>> In the next day or two I will remove all my change annotations, and write
>> a commit message.  It should be completed and committed soon.
>
> Now done.  The new scheme is now in the master branch.
>
> Before I close the bug, could you give the code a quick testing, please,
> just to be as sure as possible that the change is correct.  Thanks!

Yes, this now looks correct.

Thank you again!

Have a lovely day.
-- 
Arsen Arsenović